RabinES< STANDARD > Struct Template Reference

Rabin encryption. More...

Inheritance diagram for RabinES< STANDARD >:

## Additional Inherited Members

Public Types inherited from TF_ES< STANDARD, Rabin >
typedef STANDARD | Standard
| see EncryptionStandard for a list of standards
typedef TF_CryptoSchemeOptions< TF_ES< STANDARD, Rabin, int >, Rabin, MessageEncodingMethod > | SchemeOptions
typedef PK_FinalTemplate< TF_DecryptorImpl< SchemeOptions > > | Decryptor
| implements PK_Decryptor interface
typedef PK_FinalTemplate< TF_EncryptorImpl< SchemeOptions > > | Encryptor
| implements PK_Encryptor interface
Static Public Member Functions inherited from TF_ES< STANDARD, Rabin >
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class STANDARD>
struct RabinES< STANDARD >

Rabin encryption.

Definition at line 94 of file rabin.h.

The documentation for this struct was generated from the following file:

- rabin.h